#include <stdlib.h>
#include <string.h>

#ifndef _Windows
#include <unistd.h>
#endif

#include "err.h"
#include "x509_err.h"

/* do we need to do this for getenv.
 * Just define getenv for use under windows */
#ifdef _Windows
#define Getenv	GETENV
#define Fprintf	WIN_fprintf
#define Fputc	WIN_fputc
#define Fgets	WIN_fgets
#define Fwrite	WIN_fwrite
#else
#define Getenv getenv
#define Fprintf	fprintf
#define Fputc	fputc
#define Fgets	fgets
#define Fwrite	fwrite
#endif

#define DG_GCC_BUG	/* gcc < 2.6.3 on DGUX */
#define IRIX_CC_BUG	/* all version of IRIX I've tested (4.* 5.*) */

